{ config, pkgs, lib, ... }:

let
in
{
  imports = [
    ./fonts.nix
    ./git.nix
    ./programs.nix
    ./sway.nix
    ./terminal.nix
    ./vim.nix
  ]

  # Home Manager needs a bit of information about you and the paths it should
  # manage.
  home = {
    username = "wieerwill";
    homeDirectory = "/home/wieerwill";
    enableNixpkgsReleaseCheck = false;
    stateVersion = "24.05"; # Please read the comment before changing.

    file = {
      # ".screenrc".source = dotfiles/screenrc;
    };

    sessionVariables = {
      # EDITOR = "emacs";
    };
  };

  # Let Home Manager install and manage itself.
  programs.home-manager.enable = true;

}
